Skip to main content
Query datastores
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary of the records required

namePattern
string

Datastore name pattern to be matched.

dsType
integer<int32>

Datastore type to be matched

originType
integer<int32>

origin of datastore

titlePattern
string

Datastore title pattern to be matched.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

Response

A successful response.

summaryByType
Summary is used to store the Summary details · object

Type distribution summary of filtered Datastore records

list
Datastore · object[]

List of filtered Datastore records

summaryByCategory
Summary is used to store the Summary details · object

Category distribution summary of filtered Datastore records

summaryByOrigin
Summary is used to store the Summary details · object

datstore by origin summary

next
Cursor is used as filter in list operation. · object

Responded page details of filtered records